API Reference
Update AI model selection for a topic
Sets the topic-level override. An empty array clears the override so the topic inherits the domain selection (or the organization selection when the domain has none).
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
Domain identifier
topicId*string
Topic identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/domains/string/topics/string/models" \ -H "Content-Type: application/json" \ -d '{ "selectedModels": [ "openai-gpt5", "anthropic-claude-4.5-sonnet" ] }'{ "selectedModels": [ "openai-gpt5" ], "effectiveModels": [ "openai-gpt5" ], "effectiveSelectableModels": [ "openai-gpt5" ], "source": "topic", "fallbackToParent": false, "domainSelectedModels": [], "organizationSelectedModels": [ "openai-gpt5", "anthropic-claude-4.5-sonnet" ], "modelFallbacks": [], "replacementModels": [], "maxModels": 3, "availableModels": [ { "id": "chatgpt", "model": "chatgpt", "name": "ChatGPT", "provider": "OpenAI", "enabled": true, "webAccess": true, "tier": 2, "displayProvider": "OpenAI", "fanOutQueriesSupported": true, "availability": { "verifiedMarkets": [ "US" ], "blockedMarkets": [], "blockedRegions": [], "sourcelessMarkets": [], "sourcelessRegions": [] } } ]}